export interface deviceQuery extends PageQuery {
    deviceName: string;
    deviceMac: string;
    deviceImei: string;
    deviceType: string;
    deviceStatus: string;
    bluetoothName?: string; // 蓝牙名称查询字段
}

export interface deviceForm {
    id?: string | number;
    deviceName: string;
    deviceMac?: string;
    deviceImei?: string;
    deviceType: string;
    devicePic?: string;
    image?: string | File;
    remark?: string;
    password?: string;
    customerId?: string | number;
    bluetoothName?: string; // 蓝牙名称字段
}

export interface deviceVO {
    id: string | number;
    deviceName: string;
    deviceMac?: string;
    deviceImei?: string;
    deviceType: string;
    devicePic?: string;
    deviceStatus: number;
    bindingStatus: number;
    remark?: string;
    createTime?: string;
    createByName?: string;
    customerName?: string;
    customerId?: string | number;
    typeName?: string;
    bluetoothName?: string; // 蓝牙名称字段
}

export interface deviceTypeOption {
    id: string | number;
    typeName: string;
    value: string | number;
    communicationMode?: string;
}